Combine {EBImage} | R Documentation

## Combining images

### Description

Merges images to create image sequences.

### Usage

      combine(x, ..., along)

### Arguments

`x` | An `Image` object, an array, or a list of `Image` objects and arrays.
`...` | `Image` objects or arrays.
`along` | an optional numeric. See details.

### Details

The function `combine` uses `abind` to merge multi-dimensionnal arrays along the dimension specified by the value `along`.

If `along` is missing, a default value depending on the color mode of `x` is used. If `x` is a `Grayscale` image or an array, `along` is set to 3 and image objects are combined on this dimension. If `x` is a `Color` image, `along` is set to 4 and image objects are combined on this dimension, leaving room on the third dimension for color channels.

### Value

An `Image` object or an array.

### Author(s)

Gregoire Pau

### See Also

`Image`

### Examples

      if (interactive()) {
        ## combination of color images
        lena = readImage(system.file("images", "lena-color.png", package="EBImage"))
        x = combine(lena, flip(lena), flop(lena))
        if (interactive()) display(x)

        ## Blurred lenas
        x = resize(lena, 128, 128)
        xt = list()
        for (t in seq(0.1, 5, len=9)) xt=c(xt, list(blur(x, s=t)))
        xt = combine(xt)
        if (interactive()) display(xt, title='Blurred Lenas')
      }

[Package EBImage version 3.0.5 Index]